NX Open C++ Reference Guide
|
Represents a Flat Pattern feature builder. More...
Additional Inherited Members | |
![]() | |
NXOpen::Section * | AddedGeometry () |
Returns the added geometry selection Created in NX6.0.0. | |
NXString | FlatPatternViewName () |
Returns the flat pattern view name string Created in NX6.0.0. | |
NXOpen::Features::SheetMetal::CornerTreatmentBuilder * | InnerCornerTreatment () |
Returns the inner corner treatment corner object Created in NX6.0.0. | |
NXOpen::Features::SheetMetal::CornerTreatmentBuilder * | OuterCornerTreatment () |
Returns the outer corner treatment corner object Created in NX6.0.0. | |
NXOpen::Point3d | ReferenceVertex () |
Returns the end of the edge where the tangent will define the x axis for flat as solid. | |
void | SetReferenceVertex (const NXOpen::Point3d &vertex) |
Sets the end of the edge where the tangent will define the x axis for flat as solid. | |
void | SetShowInteriorFeatureCurves (bool showInteriorFeatureCurves) |
Sets the show interior feature curves toggle value Created in NX6.0.0. | |
void | SetTransformToAbsoluteCsys (bool transformFlag) |
Sets the flag which decides if the flattened solid will be transformed to Absolute CSYS. | |
bool | ShowInteriorFeatureCurves () |
Returns the show interior feature curves toggle value Created in NX6.0.0. | |
bool | TransformToAbsoluteCsys () |
Returns the flag which decides if the flattened solid will be transformed to Absolute CSYS. | |
NXOpen::SelectFace * | UpwardFace () |
Returns the upward face selection Created in NX6.0.0. | |
NXOpen::SelectEdge * | XAxisEdge () |
Returns the x axis edge selection. | |
Represents a Flat Pattern feature builder.
To create a new instance of this class, use Features::SheetMetal::AeroSheetmetalManager::CreateFlatPatternBuilder
Created in NX6.0.0.